//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "ScrGL.h"
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TScrGL *ScrGL1;
    TTimer *Timer1;
    TListBox *ListBox1;
    TGLICDList *GLICDList1;
    TEdit *Edit1;
    void __fastcall ScrGL1Resize(TObject *Sender);
    void __fastcall ScrGL1GLPaint(TObject *Sender);
    void __fastcall ScrGL1GLInit(TObject *Sender);
    void __fastcall FormKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
    void __fastcall ScrGL1MouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
    
    void __fastcall ScrGL1MouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
    void __fastcall ScrGL1MouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
    void __fastcall Timer1Timer(TObject *Sender);
    void __fastcall ListBox1Click(TObject *Sender);
    void __fastcall ScrGL1GLError(TObject *Sender, AnsiString err);
private:	// User declarations
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
    __fastcall ~TForm1();
    void __fastcall PrepareProjection(POINT *pt);
    void __fastcall DrawCursor();
    void __fastcall DrawScene();
    bool IsDragging;
    GLuint glAxes;
    int mLong;
    int cLat,cLong;
    double dX,dY,dZ,dA,dR;
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
